Content gaps
Latest analysis of one prompt: searches, verdicts and recommendation.
apiKeyx-api-key<token>Workspace API key from Settings > API keys. Also accepted as Authorization: Bearer gsk_...
brandId*stringuuidpromptId*stringuuidThe analysis
application/jsonpromptId*stringuuidtext*stringtype*stringintent*string|nullscore*integer|nulllevel*|"excellent""good""medium""low"nullqueries*integeraction*|"create""optimize"nullanalyzedAt*string|nullfailed*booleanexplanation*string|nullerror*string|nullsearches*array<>recommendation*|nullcurl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/content-gaps/prompts/497f6eca-6276-4993-bfeb-53cbbbba6f08'{ "promptId": "b5415d63-4390-40ec-8c2b-33a2db2f5c67", "text": "string", "type": "string", "intent": "string", "score": 0, "level": "excellent", "queries": 0, "action": "create", "analyzedAt": "string", "failed": true, "explanation": "string", "error": "string", "searches": [ { "query": "string", "source": "prompt", "verdict": "full", "url": "string", "excerpt": "string" } ], "recommendation": { "action": "create", "url": "string", "contentType": "string", "impact": "high", "effort": "quick_win", "sections": [ "string" ] }}curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/content-gaps/prompts/497f6eca-6276-4993-bfeb-53cbbbba6f08'{
"promptId": "b5415d63-4390-40ec-8c2b-33a2db2f5c67",
"text": "string",
"type": "string",
"intent": "string",
"score": 0,
"level": "excellent",
"queries": 0,
"action": "create",
"analyzedAt": "string",
"failed": true,
"explanation": "string",
"error": "string",
"searches": [
{
"query": "string",
"source": "prompt",
"verdict": "full",
"url": "string",
"excerpt": "string"
}
],
"recommendation": {
"action": "create",
"url": "string",
"contentType": "string",
"impact": "high",
"effort": "quick_win",
"sections": [
"string"
]
}
}